# Class NominatimService

- Defined in src/routing/NominatimService.js:55

#####
Index

### Properties

$http_
ngeoDebounce_
nominatimUrl_
searchDefaultParams_
typeaheadDebounceDelay_
typeaheadSourceDebounced

### Methods

reverse
search
typeaheadSource_

## Properties

### $http_

$http_: IHttpService

- Defined in src/routing/NominatimService.js:59

### ngeoDebounce_

ngeoDebounce_: miscDebounce<((arg0, arg1, arg2) => void)>

#### Type declaration

- - (arg0, arg1, arg2): void

  - #### Parameters

    - ##### arg0: string

    - ##### arg1: ((arg0) => void)

      - - (arg0): void

        - #### Parameters

          - ##### arg0: NominatimSearchResult[]

          #### Returns void

    - ##### arg2: ((arg0) => void)

      - - (arg0): void

        - #### Parameters

          - ##### arg0: NominatimSearchResult[]

          #### Returns void

- Defined in src/routing/NominatimService.js:64

### nominatimUrl_

nominatimUrl_: string

URL for Nominatim backend Defaults openstreetmap instance.

- Defined in src/routing/NominatimService.js:72

### searchDefaultParams_

searchDefaultParams_: {}

#### Type declaration

- Defined in src/routing/NominatimService.js:82

### typeaheadDebounceDelay_

typeaheadDebounceDelay_: number

Delay (in milliseconds) to avoid calling the API too often. Only if there were no calls for that many milliseconds, the last call will be executed.

- Defined in src/routing/NominatimService.js:91

### typeaheadSourceDebounced

typeaheadSourceDebounced: ((query, syncResults, asyncResults) => void)

#### Type declaration

- - (query, syncResults, asyncResults): void

  - #### Parameters

    - ##### query: string

    - ##### syncResults: ((result) => void)

      - - (result): void

        - #### Parameters

          - ##### result: NominatimSearchResult[]

          #### Returns void

    - ##### asyncResults: ((result) => void)

      - - (result): void

        - #### Parameters

          - ##### result: NominatimSearchResult[]

          #### Returns void

- Defined in src/routing/NominatimService.js:96

## Methods

### reverse

- reverse(coordinate, params): IHttpPromise<NominatimSearchResponseResult>

- Reverse Geocoding

  #### Parameters

  - ##### coordinate: Coordinate

    Search coordinate in LonLat projection

  - ##### params: {}

    Optional parameters

  #### Returns IHttpPromise<NominatimSearchResponseResult>

  promise of the Nominatim API request

  #### See

  https://wiki.openstreetmap.org/wiki/Nominatim#Reverse_Geocoding

  - Defined in src/routing/NominatimService.js:140

### search

- search(query, params): IHttpPromise<NominatimSearchResponseResult[]>

- Search by name

  #### Parameters

  - ##### query: string

    Search query

  - ##### params: {}

    Optional parameters

  #### Returns IHttpPromise<NominatimSearchResponseResult[]>

  promise of the Nominatim API request

  #### See

  https://wiki.openstreetmap.org/wiki/Nominatim#Search

  - Defined in src/routing/NominatimService.js:111

### typeaheadSource_

- typeaheadSource_(query, syncResults, asyncResults?): void

- #### Parameters

  - ##### query: string

    Search query

  - ##### syncResults: ((result) => void)

    Callback for synchronous execution, unused

    - - (result): void

      - #### Parameters

        - ##### result: NominatimSearchResult[]

        #### Returns void

  - ##### `Optional` asyncResults: ((result) => void)

    Callback for asynchronous execution

    - - (result): void

      - #### Parameters

        - ##### result: NominatimSearchResult[]

        #### Returns void

  - Defined in src/routing/NominatimService.js:169

Generated using TypeDoc